Loading...
Searching...
No Matches
PUtilFactory Class Reference

## Static Public Member Functions

static PUtilBase * | create ()
static PUtilBase * | create (int val)
static PUtilBase * | create (const CanonicalForm &cf)
static PUtilBase * | create (const Variable &v)
static PUtilBase * | create (const char *str)

## Detailed Description

Definition at line 76 of file parseutil.cc.

## Member Function Documentation

## create() [1/5]

PUtilBase * PUtilFactory::create | ( |  | ) |

inline static

Definition at line 79 of file parseutil.cc.

{ return new PUtilInt( 0 ); }

## create() [2/5]

PUtilBase * PUtilFactory::create | ( | const CanonicalForm & | cf | ) |

inline static

Definition at line 81 of file parseutil.cc.

{ return new PUtilCF( cf ); }
cf
CanonicalForm cf
Definition cfModGcd.cc:4091

## create() [3/5]

PUtilBase * PUtilFactory::create | ( | const char * | str | ) |

inline static

Definition at line 83 of file parseutil.cc.

{
if ( strlen( str ) < 9 )
return new PUtilInt( atoi( str ) );
else
return new PUtilCF( CanonicalForm( str ) );
}

## create() [4/5]

PUtilBase * PUtilFactory::create | ( | const Variable & | v | ) |

inline static

Definition at line 82 of file parseutil.cc.

{ return new PUtilVar( v ); }
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

## create() [5/5]

PUtilBase * PUtilFactory::create | ( | int | val | ) |

inline static

Definition at line 80 of file parseutil.cc.

{ return new PUtilInt( val ); }

The documentation for this class was generated from the following file:

- factory/parseutil.cc